Functions
Functions
Peripheral Driver » LL Driver » BOD
Collaboration diagram for Functions:

## Functions
__STATIC_FORCEINLINE void | ll_bod_enable (void)
| Enable the bod. More...
__STATIC_FORCEINLINE void | ll_bod_disable (void)
| Disable the bod. More...
__STATIC_INLINE void | ll_bod2_enable (void)
| Enable the bod2. More...
__STATIC_INLINE void | ll_bod2_disable (void)
| Disable the bod2. More...
__STATIC_INLINE void | ll_bod2_lvl_ctrl_lv_set (uint8_t lvl_ctrl_lv)
| Set bod control level. More...
__STATIC_INLINE void | ll_bod_static_lv_enable (void)
| enable bod static lv More...
__STATIC_INLINE void | ll_bod_static_lv_disable (void)
| disable bod static lv More...
__STATIC_INLINE void | ll_bod_enable_fedge (void)
| enable BOD FEDGE Event. More...
__STATIC_INLINE void | ll_bod_disable_fedge (void)
| disable BOD FEDGE Event. More...
__STATIC_INLINE uint32_t | ll_bod_is_active_flag_fedge (void)
| Indicate if the BOD REDGE Event Flag is set or not. More...
__STATIC_INLINE void | ll_bod_clear_flag_fedge (void)
| Clear Interrupt Status flag. More...
__STATIC_INLINE uint32_t | ll_bod_is_active_flag_redge (void)
| Indicate if the BOD FEDGE Event Flag is set or not. More...
__STATIC_INLINE void | ll_bod_clear_flag_redge (void)
| Clear Interrupt Status flag. More...
error_status_t | ll_bod_deinit (void)
| De-initialize the BOD registers to their default reset values. More...
error_status_t | ll_bod_init (ll_bod_init_t *p_bod_init)
| Initialize the BOD registers according to the specified parameters in p_bod_init. More...
void | ll_bod_struct_init (ll_bod_init_t *p_bod_init)
| Set each field of a ll_bod_init_t type structure to default value. More...

## Detailed Description

## Function Documentation

## ◆ ll_bod2_disable()

__STATIC_INLINE void ll_bod2_disable | ( | void |  | ) |

Disable the bod2.

Register | BitsName
--- | ---
RF_REG_3 | bod2_en_lv

Definition at line 213 of file gr55xx_ll_bod.h.

## ◆ ll_bod2_enable()

__STATIC_INLINE void ll_bod2_enable | ( | void |  | ) |

Enable the bod2.

Register | BitsName
--- | ---
RF_REG_3 | bod2_en_lv

Definition at line 196 of file gr55xx_ll_bod.h.

## ◆ ll_bod2_lvl_ctrl_lv_set()

__STATIC_INLINE void ll_bod2_lvl_ctrl_lv_set | ( | uint8_t | lvl_ctrl_lv | ) |

Set bod control level.

Register | BitsName
--- | ---
RF_REG_3 | bod_lvl_ctrl_lv_3_0

Parameters

  lvl_ctrl_lv | 0x0 ~ 0xF

Definition at line 230 of file gr55xx_ll_bod.h.

## ◆ ll_bod_clear_flag_fedge()

__STATIC_INLINE void ll_bod_clear_flag_fedge | ( | void |  | ) |

Clear Interrupt Status flag.

Register | BitsName
--- | ---
AON_IRQ | PMU_BOD_REDGE

Return values

  None |

Definition at line 326 of file gr55xx_ll_bod.h.

## ◆ ll_bod_clear_flag_redge()

__STATIC_INLINE void ll_bod_clear_flag_redge | ( | void |  | ) |

Clear Interrupt Status flag.

Register | BitsName
--- | ---
SLP_EVENT | SLP_EVENT_BOD

Return values

  None |

Definition at line 354 of file gr55xx_ll_bod.h.

## ◆ ll_bod_deinit()

error_status_t ll_bod_deinit | ( | void |  | ) |

De-initialize the BOD registers to their default reset values.

Return values

  An | error_status_t enumeration value: SUCCESS: PDM registers are de-initialized ERROR: PDM registers are not de-initialized

## ◆ ll_bod_disable()

__STATIC_FORCEINLINE void ll_bod_disable | ( | void |  | ) |

Disable the bod.

Register | BitsName
--- | ---
RF_REG_3 | bod_en_lv

Definition at line 179 of file gr55xx_ll_bod.h.

## ◆ ll_bod_disable_fedge()

__STATIC_INLINE void ll_bod_disable_fedge | ( | void |  | ) |

disable BOD FEDGE Event.

Register | BitsName
--- | ---
AON_IRQ | PMU_BOD_FEDGE

Return values

  State | of bit (1 or 0).

Definition at line 297 of file gr55xx_ll_bod.h.

## ◆ ll_bod_enable()

__STATIC_FORCEINLINE void ll_bod_enable | ( | void |  | ) |

Enable the bod.

Register | BitsName
--- | ---
RF_REG_3 | bod_en_lv

Definition at line 162 of file gr55xx_ll_bod.h.

## ◆ ll_bod_enable_fedge()

__STATIC_INLINE void ll_bod_enable_fedge | ( | void |  | ) |

enable BOD FEDGE Event.

Register | BitsName
--- | ---
AON_IRQ | PMU_BOD_FEDGE

Return values

  State | of bit (1 or 0).

Definition at line 283 of file gr55xx_ll_bod.h.

## ◆ ll_bod_init()

error_status_t ll_bod_init | ( | ll_bod_init_t * | p_bod_init | ) |

Initialize the BOD registers according to the specified parameters in p_bod_init.

Parameters

  p_bod_init | pointer to a ll_bod_init_t structure.

Return values

  An | error_status_t enumeration value: SUCCESS: BOD registers are initialized ERROR: Not applicable

## ◆ ll_bod_is_active_flag_fedge()

__STATIC_INLINE uint32_t ll_bod_is_active_flag_fedge | ( | void |  | ) |

Indicate if the BOD REDGE Event Flag is set or not.

Register | BitsName
--- | ---
AON_IRQ | PMU_BOD_REDGE

Return values

  State | of bit (1 or 0).

Definition at line 312 of file gr55xx_ll_bod.h.

## ◆ ll_bod_is_active_flag_redge()

__STATIC_INLINE uint32_t ll_bod_is_active_flag_redge | ( | void |  | ) |

Indicate if the BOD FEDGE Event Flag is set or not.

Register | BitsName
--- | ---
SLP_EVENT | SLP_EVENT_BOD

Return values

  State | of bit (1 or 0).

Definition at line 340 of file gr55xx_ll_bod.h.

## ◆ ll_bod_static_lv_disable()

__STATIC_INLINE void ll_bod_static_lv_disable | ( | void |  | ) |

disable bod static lv

Register | BitsName
--- | ---
RF_REG_3 | bod_static_lv

Definition at line 265 of file gr55xx_ll_bod.h.

## ◆ ll_bod_static_lv_enable()

__STATIC_INLINE void ll_bod_static_lv_enable | ( | void |  | ) |

enable bod static lv

Register | BitsName
--- | ---
RF_REG_3 | bod_static_lv

Definition at line 249 of file gr55xx_ll_bod.h.

## ◆ ll_bod_struct_init()

void ll_bod_struct_init | ( | ll_bod_init_t * | p_bod_init | ) |

Set each field of a ll_bod_init_t type structure to default value.

Parameters

  p_bod_init | Pointer to a ll_bod_init_t structure whose fields will be set to default values.

Return values

  None |